Loading...
Searching...
No Matches
Opm::ReservoirCouplingMaster Class Reference

## Public Types

using | MessageTag = ReservoirCoupling::MessageTag
using | Seconds = ReservoirCoupling::Seconds
using | Potentials = ReservoirCoupling::Potentials

## Public Member Functions

| ReservoirCouplingMaster (const Parallel::Communication &comm, const Schedule &schedule, int argc, char **argv)
bool | activated ()
void | addSlaveCommunicator (MPI_Comm comm)
void | addSlaveName (const std::string &name)
void | addSlaveNextReportTimeOffset (double offset)
void | addSlaveActivationDate (double date)
void | addSlaveStartDate (std::time_t date)
void | clearDeferredLogger ()
double | getActivationDate () const
int | getArgc () const
char * | getArgv (int index) const
char ** | getArgv () const
const Parallel::Communication & | getComm () const
std::size_t | getMasterGroupPotIdx (const std::string &slave_name, const std::string &master_group_name) const
| Get the index of the master group potential for a given slave name and master group name.
std::map< std::string, std::string > & | getMasterGroupToSlaveNameMap ()
double | getSlaveActivationDate (int index) const
const double * | getSlaveActivationDates () const
double | getSimulationStartDate () const
MPI_Comm | getSlaveComm (int index) const
const Potentials & | getSlaveGroupPotentials (const std::string &master_group_name)
const std::string & | getSlaveName (int index) const
const double * | getSlaveStartDates ()
bool | isMasterGroup (const std::string &group_name) const
void | maybeActivate (int report_step)
void | maybeReceiveActivationHandshakeFromSlaves (double current_time)
double | maybeChopSubStep (double suggested_timestep, double current_time) const
void | maybeSpawnSlaveProcesses (int report_step)
std::size_t | numSlaveGroups (unsigned int index)
std::size_t | numSlavesStarted () const
void | receiveNextReportDateFromSlaves ()
void | receivePotentialsFromSlaves ()
void | resizeSlaveActivationDates (int size)
void | resizeSlaveStartDates (int size)
void | resizeNextReportDates (int size)
void | sendNextTimeStepToSlaves (double next_time_step)
void | setDeferredLogger (DeferredLogger *deferred_logger)
void | setSlaveActivationDate (int index, double date)
void | setSlaveStartDate (int index, std::time_t date)
void | setSlaveNextReportTimeOffset (int index, double offset)
bool | slaveIsActivated (int index) const
void | updateMasterGroupNameOrderMap (const std::string &slave_name, const std::map< std::string, std::size_t > &master_group_map)

## Member Function Documentation

## getMasterGroupPotIdx()

std::size_t Opm::ReservoirCouplingMaster::getMasterGroupPotIdx | ( | const std::string & | slave_name,
|  | const std::string & | master_group_name ) const

Get the index of the master group potential for a given slave name and master group name.

The index is used to map the slave group potentials to the master group potentials.

Parameters

  slave_name | The name of the slave reservoir.
  master_group_name | The name of the master group.

Returns
  The index of the master group potential for the given slave name and master group name.

The documentation for this class was generated from the following files:

- opm/simulators/flow/ReservoirCouplingMaster.hpp
- opm/simulators/flow/ReservoirCouplingMaster.cpp